curl --request GET \
--url https://api.eigenexplorer.com/withdrawals/{withdrawalRoot} \
--header 'X-API-Token: <x-api-token>'import requests
url = "https://api.eigenexplorer.com/withdrawals/{withdrawalRoot}"
headers = {"X-API-Token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};
fetch('https://api.eigenexplorer.com/withdrawals/{withdrawalRoot}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"withdrawalRoot": "0x9e6728ef0a8ad6009107a886047aae35bc5ed7deaa68580b0d1f8f67e3e5ed31",
"nonce": 0,
"stakerAddress": "0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd",
"delegatedTo": "0x0000000000000000000000000000000000000000",
"withdrawerAddress": "0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd",
"shares": [
{
"strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564d",
"shares": "1000288824523326631"
}
],
"createdAtBlock": 19912470,
"createdAt": "2024-07-07T23:53:35.000Z",
"updatedAtBlock": 19912470,
"updatedAt": "2024-07-07T23:53:35.000Z",
"isCompleted": false
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}Retrieve withdrawal by withdrawal root
Returns the withdrawal data by withdrawal root.
Headers
API Token for authentication
Path Parameters
The root hash of the withdrawal
"0x9e6728ef0a8ad6009107a886047aae35bc5ed7deaa68580b0d1f8f67e3e5ed31"
Response
The requested withdrawal record.
The root hash of the withdrawal
"0x9e6728ef0a8ad6009107a886047aae35bc5ed7deaa68580b0d1f8f67e3e5ed31"
The nonce of the withdrawal, ensuring unique hashes for otherwise identical withdrawals
0
The contract address of the staker who initiated the withdrawal
"0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd"
The address to which the staker was delegated when the withdrawal was initiated
"0x0000000000000000000000000000000000000000"
The address of the withdrawer, authorized to complete the withdrawal and receive the funds
"0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd"
The list of strategy shares
Show child attributes
Show child attributes
[
{
"strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564d",
"shares": "1000288824523326631"
}
]
The block number when the withdrawal was recorded by EigenExplorer
19912470
The time stamp when the withdrawal was recorded by EigenExplorer
"2024-07-07T23:53:35.000Z"
The block number when the withdrawal was last updated
19912470
The time stamp when the withdrawal was last updated
"2024-07-07T23:53:35.000Z"
Indicates if the withdrawal is completed
false